This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1279641 - Packstack run does not install keystoneauth1
Packstack run does not install keystoneauth1
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: openstack-packstack (Show other bugs)
trunk
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Kilo
Assigned To: Martin Magr
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-09 17:40 EST by Adam Young
Modified: 2016-05-19 11:33 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:33:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Young 2015-11-09 17:40:52 EST
Description of problem:
Packstack run does not install keystoneauth1, which comes from the python-keystoneauth1 RPM

Version-Release number of selected component (if applicable):
Mitaka (nightly)


How reproducible:
100%

Steps to Reproduce:
1. install openstackpack  baseurl=http://trunk.rdoproject.org/centos7/48/43/484341c5abdd62ed257f4c395839d20f08b30d95_8e5149bb
2. generate answers file
3. runpackstack.

Actual results:

Nova service fails to start.  


Expected results:
Run to completion

Additional info:
/var/log/nova/nova-api.log shows error message with missing keystoneauth1 dependency.


yum install of python-keystoneauth1 allows packstack to complete.
Comment 2 Chandan Kumar 2016-05-19 11:33:36 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.